Package: groovy.org.codenarc.rule.generic

## [Groovy] Class RequiredStringRule

- groovy.org.codenarc.rule.generic.RequiredStringRule

- Checks for a specified String that must exist within the source code.

  The `string` property specifies the String of text to check for. If null or empty, do nothing.

  A RuleSet can contain any number of instances of this rule, but each should be configured with a unique rule name, string, violationMessage and (optionally) customized priority.
  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `name`
    `int` | `priority`
    `String` | `string`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `applyTo(SourceCode sourceCode, List violations)`
    `` | `boolean` | `isReady()`

- - ### Property Detail

    - #### String name

    - #### int priority

    - #### String string

  - ### Method Detail

    - #### void applyTo(SourceCode sourceCode, List violations)

    - #### boolean isReady()